{
    "format_version": "1.10.0",
    "minecraft:client_entity": {
      "description": {
        "identifier": "loled:platform_1",
        "min_engine_version": "1.16.0",
        "materials": {
          "default": "entity_alphatest"
        },
        "textures": {
          "default": "textures/entity/platform"
        },
        "geometry": {
          "default": "geometry.platform_1"
        },
        "animations": {
          "rotate": "animation.platform_entity.rotate"
        },
        "scripts": {
          "animate": [
            "look_at_target_inverted",
            {
              "rotate": "!query.ground_speed >=0.01 || !query.is_moving"
            }
          ]
        },
        "render_controllers": [
          "controller.render.universal"
        ],
        "spawn_egg": {
          "base_color": "#43454b",
          "overlay_color": "#25506e"
        }
      }
    }
  }